Name:           perl-threads-lite
Version:        0.031
Release:        8%{?dist}
Summary:        Actor model threading for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/threads-lite/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/threads-lite-%{version}.tar.gz
# Restore compatibility with perl 5.16, RT#77947
Patch0:         threads-lite-0.031-require-feature.patch
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build)
# Test time only:
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable) >= 2.05
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(XSLoader)
# Optional tests only:
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module implements threads for perl. One crucial difference with
threads.pm threads is that the threads are disconnected, except by message
queues. It thus facilitates a message passing style of multi-threading.

%prep
%setup -q -n threads-lite-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%ifnarch ppc
./Build test
%endif

%files
%doc Changes examples LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/threads*
%{_mandir}/man3/*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.031-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.031-7
- Perl 5.16 rebuild
- Restore compatibility with perl 5.16, RT#77947

* Sat Feb 25 2012 Karsten Hopp <karsten@redhat.com> 0.031-6
- fix arch check

* Sat Feb 25 2012 Karsten Hopp <karsten@redhat.com> 0.031-5
- disable checks on ppc (#719874)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.031-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.031-3
- Perl mass rebuild

* Mon May 30 2011 Petr Pisar <ppisar@redhat.com> - 0.031-2
- Remove explicit defattr

* Mon May 30 2011 Petr Pisar <ppisar@redhat.com> - 0.031-1
- 0.031 bump

* Tue May 10 2011 Petr Pisar <ppisar@redhat.com> 0.030-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot stuff
